# BrowserRequestOptions

public abstract class **BrowserRequestOptions** extends [RequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions)  

|---|---|---|
| Known Direct Subclasses [BrowserPublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialCreationOptions), [BrowserPublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialRequestOptions) |---|---| | [BrowserPublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialCreationOptions) | Parameters to a make credential request from a Web browser. | | [BrowserPublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialRequestOptions) | Parameters for a signature request from a Web Browser. | |||

An abstract class representing browser-based request parameters.

### Inherited Constant Summary

From interface android.os.Parcelable

|---|---|---|
| int | CONTENTS_FILE_DESCRIPTOR |   |
| int | PARCELABLE_WRITE_RETURN_VALUE |   |

### Public Constructor Summary

|---|---|
|   | [BrowserRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserRequestOptions#BrowserRequestOptions())() |

### Public Method Summary

|---|---|
| abstract byte\[\] | [getClientDataHash](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserRequestOptions#getClientDataHash())() Gets value of the client data hash. |
| abstract [Uri](https://developer.android.com/reference/android/net/Uri.html) | [getOrigin](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserRequestOptions#getOrigin())() |

### Inherited Method Summary

From class [com.google.android.gms.fido.fido2.api.common.RequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions)

|---|---|
| abstract byte\[\] | [getChallenge](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getChallenge())() |
| abstract [Integer](https://developer.android.com/reference/java/lang/Integer.html) | [getRequestId](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getRequestId())() |
| abstract [Double](https://developer.android.com/reference/java/lang/Double.html) | [getTimeoutSeconds](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getTimeoutSeconds())() |
| abstract [TokenBinding](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/TokenBinding) | [getTokenBinding](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getTokenBinding())() |
| byte\[\] | [serializeToBytes](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#serializeToBytes())() Serializes the `RequestOptions` to bytes. |

From class java.lang.Object

|---|---|
| [Object](https://developer.android.com/reference/java/lang/Object.html) | clone() |
| boolean | equals([Object](https://developer.android.com/reference/java/lang/Object.html) arg0) |
| void | finalize() |
| final [Class](https://developer.android.com/reference/java/lang/Class.html)\<?\> | getClass() |
| int | hashCode() |
| final void | notify() |
| final void | notifyAll() |
| [String](https://developer.android.com/reference/java/lang/String.html) | toString() |
| final void | wait(long arg0, int arg1) |
| final void | wait(long arg0) |
| final void | wait() |

From interface android.os.Parcelable

|---|---|
| abstract int | describeContents() |
| abstract void | writeToParcel([Parcel](https://developer.android.com/reference/android/os/Parcel.html) arg0, int arg1) |

## Public Constructors

#### public **BrowserRequestOptions** ()

## Public Methods

#### public abstract byte\[\]
**getClientDataHash** ()

Gets value of the client data hash.

#### public abstract [Uri](https://developer.android.com/reference/android/net/Uri.html) **getOrigin** ()